TYPO3 8 ELTS (8.7.31)

The legacy LTS release

TYPO3 8 ELTS

Get TYPO3 8.7.31

This version is not supported anymore.

The TYPO3 CMS community supported from 2017-04-04 until 2020-03-31. Extended security & compatibility support (ELTS) expired on 2024-03-31.

Please consider updating to a newer version.

Release Information

The legacy version with Long Term Support (LTS). It will receive security bugfixes until March 2020.

Download

DDEV simplifies integrating the power and consistency of containerization into your workflows. Set up environments in minutes; switch contexts and projects quickly and easily; speed your time to deployment. DDEV handles the complexity. You get on with the valuable part of your job.

Before proceeding, make sure your DDEV installation is up to date.

In a new project folder using your favorite shell, run these lines:

ddev config --project-type=typo3 --docroot=public --create-docroot --php-version 7.4
ddev composer create --no-install "typo3/cms-base-distribution:^8.7"
ddev composer install
ddev typo3cms install:setup
ddev launch

If you are experienced with Composer you can create your own composer.json and select the needed packages of TYPO3 via the Composer Helper. Instead of the ddev composer create command above, run the command created with the Composer Helper prepended with ddev. E.g.:

ddev config --project-type=typo3 --docroot=public --create-docroot --php-version 7.4
ddev composer require "typo3/cms-core:^8.7" "typo3/minimal:^8.7" ...
ddev typo3cms install:setup (if the TYPO3 Console is installed)
ddev launch
composer create-project "typo3/cms-base-distribution:^8.7" my-new-project

If you are experienced with Composer you can create your own composer.json and select the needed packages of TYPO3 via the Composer Helper.

Using wget
wget --content-disposition https://get.typo3.org/8.7.31
Using cURL (e.g., when wget fails with SSL error)
curl -L -o typo3_src.tgz https://get.typo3.org/8.7.31

In case you are encountering SSL warnings (host name mismatch), please make sure that you are using a client that supports Server Name Indication (SNI). This especially affects old versions of wget (before version 1.14).

System Requirements

For more information and installation instructions read the Installation guide.

Operating System Linux, Microsoft Windows or macOS
Webserver Apache httpd, Nginx, Microsoft IIS
Supported Browsers Chrome (latest)
Edge (latest)
Firefox (latest)
Internet Explorer >= 11
Safari (latest)
Database MariaDB >= 10.0.0 <= 10.1.45
Microsoft SQL Server
MySQL >= 5.0 <= 5.7
PostgreSQL
Hardware RAM >= 256 MB
PHP PHP >= 7.0.8 <= 7.4.99

TYPO3 has been tested to work on the platforms listed above. Further setups are conceivable. Let us know which components we should add to the list.

Package Signatures - Verifying integrity of releases

TYPO3 Release Packages (the downloadable tarballs and zip files) as well as Git tags are signed using PGP signatures since TYPO3 v7 during the automated release process. Besides that, SHA1 and SHA2-256 hashes are being generated for these files. Find more details on verifying signatures and hashes in the infrastructure guide.

Checksums of TYPO3 8.7.31

SHA256

ed03512160b3c01f0dac321e502399eb03e553958bac145c98ea938fc6d921c2 typo3_src-8.7.31.tar.gz
2e82a971d109fd6b995d4c34d0b2907c175c040006004cf64b057f415c4c1c67 typo3_src-8.7.31.zip

SHA1

4f864ce154d45948961fb5684d6b9da34ad0f9e6 typo3_src-8.7.31.tar.gz
23d291c45429812f609f3e14499f5e51908324b1 typo3_src-8.7.31.zip

MD5

4bfe6ecc9eeb5d76bb24d923332716a8 typo3_src-8.7.31.tar.gz
eaf16550f29e6ca4ffaf63e453f7f5d2 typo3_src-8.7.31.zip